QGIS Application - Feature request #1805
Unique Value Renderer multiple class selection issue
2009-07-25 01:54 PM - gcarrillo -

Status: Closed

Priority: Low

Assignee: gcarrillo -

Category: Symbology

Pull Request or Patch supplied: Resolution: fixed
Easy fix?: No Copied to github as #: 11865
Description

On Unique Value Renderer, when | select multiple classes on the class list and edit a double setting (lineWidth or pointSize) | get bad
behavior of the enable/disable spinBoxes. Even when the selected classes has the same setting (lineWidth or pointSize) the spinBox is
disabled.

Associated revisions

Revision ac197ecb - 2009-08-02 10:45 AM - Jiirgen Fischer

fix #1805

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@11244 ¢8812cc2-4d05-0410-92ff-de0c093fc19c

Revision 4881148 - 2009-08-02 10:45 AM - Jiirgen Fischer

fix #1805

git-svn-id: http://svn.osgeo.org/qgis/trunk@11244 c¢8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2009-07-25 02:32 PM - Giovanni Manghi

Hi,

thanks for the patch.

Have you seen #17037? Is this related?

#2 - 2009-07-25 03:40 PM - gcarrillo -

The #1703 ask for new color buttons behavior (and others) when multiple classes are selected.

The code for this class set to disabled each symbology setting when the classes has different value for this setting. As jef says, it is intentional. | think the
#1703 enhancement could be useful.

So, this is related with #1703 but only fix a little thing and doesn't make nothing for that.

#3 - 2009-08-01 04:11 PM - Giovanni Manghi
http://svn.osgeo.org/qgis/trunk/qgis@11244
http://svn.osgeo.org/qgis/trunk@11244

Hi,

| gave a better look/try to #1703 and it seems to me that it also fixes the small problem that lead you to create this patch. In fact if you leave the "restrict

changes to common properties" check-box unchecked, you can change the lineWidth or pointSize of multiple classes selection regardless if the lineWidth

or pointSize is the same or if it is different.

#4 - 2009-08-01 05:34 PM - Giovanni Manghi

| gave another look, and at the end it seems | was wrong, in fact | noticed now that if | leave the "restrict changes to common properties" check-box
unchecked, then obviously all the classes will take the same style options.

As a matter of fact if | select a few classes, change the outline width, unselect them and then select them again, the outline width selector is disabled, so

your patch will correct indeed this issue.

I'll give it a try and | will report back.

#5 - 2009-08-01 06:06 PM - Giovanni Manghi

Replying to [comment:4 lutra]:

I'll give it a try and | will report back.

the patch works for me under Ubuntu 9.04

#6 - 2009-08-01 07:36 PM - gcarrillo -

Thanks lutra, just a thing: The patch contains the function isEqual, which can be useful to other classes in spite of be a very small function. | don't know if

QGis has something like Utils class or something like that where it could be better placed.

#7 - 2009-08-02 01:47 AM - Jiirgen Fischer

Replying to [comment:6 gcarrillo]:

Thanks lutra, just a thing: The patch contains the function isEqual, which can be useful to other classes in spite of be a very small function. | don't

know if QGis has something like Utils class or something like that where it could be better placed.

I introduced a function to compare doubles yesterday. makes use of that now.

#8 - 2009-08-02 02:24 AM - Giovanni Manghi
- Resolution set to fixed
- Status changed from Open to Closed

I introduced a function to compare doubles yesterday. makes use of that now.
works for me

Files

patch_for_bug 1805.txt 1.94 KB 2009-07-25 gcarrillo -
